NE_VERSION_MATCH(3)

NAME
ne_version_match, ne_version_string - library versioning

SYNOPSIS

#include <ne_utils.h>

int ne_version_match (int major, int minor);

const char *ne_version_string (void);

DESCRIPTION

The ne_version_match function returns non-zero if the library version is not of major version major, or the minor version is less than minor. For neon versions 0.x, every minor version is assumed to be incompatible with every other minor version.

The ne_version_string function returns a string giving the library version.

EXAMPLES

To require neon 1.x, version 1.2 or later:

if (ne_version_match(1, 2)) {
    printf("Library version out of date: 1.2 required, found %s.",
           ne_version_string());
    exit(1);
}

AUTHOR
Joe Orton <neon@webdav.org>.